<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GM::MacroUI" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GM\Theme1\DialogMacroUI.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_CENTER | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GM::MacroUI" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GM::MacroUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::MacroUI"/>
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<VirtualBox X="860" Y="25">
						<ColumnLayout ColSpace="20">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_Skin">
								<Image File="Image\GM\Theme1\button_setting_normal.png"/>
								<Image File="Image\GM\Theme1\button_setting_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_Min">
								<Image File="Image\GM\Theme1\button_min_normal.png"/>
								<Image File="Image\GM\Theme1\button_min_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_Close">
								<Image File="Image\GM\Theme1\button_close_normal.png"/>
								<Image File="Image\GM\Theme1\button_close_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--Category Panel-->
					<ImageBox X="15" Y="230" SizeToImage="1" ID="GM::ID_ME_CategoryTab_0" File="Image\GM\Theme1\category_mouse_active.png"/>
					<ImageList X="15" Y="320" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_CategoryTab_1">
						<Image File="Image\GM\Theme1\category_keyboard_normal.png"/>
						<Image File="Image\GM\Theme1\category_keyboard_over.png"/>
					</ImageList>
					<ImageList X="15" Y="400" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_CategoryTab_2">
						<Image File="Image\GM\Theme1\category_light_control_normal.png"/>
						<Image File="Image\GM\Theme1\category_light_control_over.png"/>
					</ImageList>

					<!--Switch Panel-->
					<ImageList X="307" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_PanelTab_0">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="436" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_PanelTab_1">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="565" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_PanelTab_2">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="694" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_PanelTab_3">
						<Image File="Image\GM\Theme1\tab_normal.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<Label X="307" Y="50" Width="144" Text="基本設置" FontHeight="16" FGColor="#969b9b" ID="GM::ID_ME_TabLabel_Basic"/>
					<Label X="436" Y="50" Width="144" Text="進階設置" FontHeight="16" FGColor="#969b9b" ID="GM::ID_ME_TabLabel_Advanced"/>
					<Label X="565" Y="50" Width="144" Text="背光" FontHeight="16" FGColor="#969b9b" ID="GM::ID_ME_TabLabel_Lighting"/>
					<Label X="694" Y="50" Width="144" Text="巨集" FontHeight="16" FGColor="#ffaa00" ID="GM::ID_ME_TabLabel_MacroUI"/>

					<!--Profiles-->
					<VirtualBox X="28" Y="27">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_Profile_0">
								<Image File="Image\GM\Theme1\button_profile_normal.png"/>
								<Image File="Image\GM\Theme1\button_profile_over.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="28" Y="32">
						<RowLayout RowSpace="6">
							<Label FontHeight="20" Width="253" Height="20" FGColor="#ffffff" ID="GM::ID_ME_ProfileLabel_0"/>
						</RowLayout>
					</VirtualBox>

					<!--new Macro -->
					<Label X="134" Y="95" Width="200" Text="新增巨集" FontHeight="20" BGTrans="0" FGColor="#cdcdcd" ID="GM::ID_ME_LB_MacroNew" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ImageList X="380" Y="115" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroNew">
						<Image File="Image\GM\Theme1\dialog_button_normal.png"/>
						<Image File="Image\GM\Theme1\dialog_button_over.png"/>
					</ImageList>
					<Label X="380" Y="118" Width="103" Text="新增" FontHeight="20" FGColor="#fd9f00" ID="GM::ID_ME_Lab_MacroNew"/>
					<TextEdit X="134" Y="120" Width="240" FontHeight="20" StyleEx="" BGTrans="0" ID="GM::ID_ME_TE_MacroNew"/>

					<!--Macro name selection-->
					<Label X="134" Y="157" Width="200" Text="選擇名稱" FontHeight="20" BGTrans="0" FGColor="#cdcdcd" ID="GM::ID_ME_LB_MacroName" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ListBox Visible="1" X="134" Y="180" Width="240" Height="300" FontHeight="18" ID="GM::ID_ME_MacroNameList" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT | LBS_SORT"/>

					<!--Macro operation-->
					<VirtualBox X="152" Y="480" Width="240" Height="36">
						<ColumnLayout ColAlignV="center" ColSpace="20">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroDel" Tooltip="Delete">
								<Image File="Image\GM\Theme1\med_button_drop_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_drop_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroRename" Tooltip="Rename">
								<Image File="Image\GM\Theme1\med_button_rename_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_rename_over.png"/>
							</ImageList>
							<!--ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroExport" Tooltip="Export">
								<Image File="Image\GM\Theme1\med_button_export_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_export_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroImport" Tooltip="Import">
								<Image File="Image\GM\Theme1\med_button_import_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_import_over.png"/>
							</ImageList-->
						</ColumnLayout>
					</VirtualBox>

					<!--REC Macro -->
					<ImageList X="380" Y="177" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroStartREC">
						<Image File="Image\GM\Theme1\dialog_button_normal.png"/>
						<Image File="Image\GM\Theme1\dialog_button_over.png"/>
					</ImageList>
					<Label X="380" Y="180" Width="103" Text="開始錄製" FontHeight="20" FGColor="#fd9f00" ID="GM::ID_ME_Lab_MacroStartREC"/>
					<ImageList X="495" Y="177" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroStopREC">
						<Image File="Image\GM\Theme1\dialog_button_normal.png"/>
						<Image File="Image\GM\Theme1\dialog_button_over.png"/>
					</ImageList>
					<Label X="495" Y="180" Width="103" Text="停止錄製" FontHeight="20" FGColor="#fd9f00" ID="GM::ID_ME_Lab_MacroStopREC"/>

					<!--Softkeyboard -->
					<ImageList X="610" Y="177" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroSoftKeyboard" Tooltip="螢幕小鍵盤">
						<Image File="Image\GM\Theme1\med_button_softkeyboard_normal.png"/>
						<Image File="Image\GM\Theme1\med_button_softkeyboard_over.png"/>
					</ImageList>
					
					<!--Delay Time-->
					<Label Text="新增延時" X="416" Y="328" Width="100" FontHeight="20" ID="GM::ID_ME_LB_AddDelay" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ImageList X="570" Y="328" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroAddDelay">
						<Image File="Image\GM\Theme1\med_button_right_insert_normal.png"/>
						<Image File="Image\GM\Theme1\med_button_right_insert_over.png"/>
						<Image File="Image\GM\Theme1\med_button_right_insert_disable.png"/>
					</ImageList>
					<NumberEdit X="417" Y="361" Width="173" Height="27" FontHeight="20" StyleEx="" BGTrans="0" ID="GM::ID_ME_TE_AddDelay" Text="5" MinValue="1" MaxValue="99999999" PostponeCheckTime="300" Tooltip="integer between 1 and 99,999,999"/>
					<Label X="600" Y="360" Width="50" Text="毫秒" FontHeight="20" ID="GM::ID_ME_Lab_DelayUnit" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					
					<Label X="450" Y="420" Width="100" Text="固定延時" FontHeight="20" ID="GM::ID_ME_Lab_Delay" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<VirtualBox X="417" Y="420">
						<ImageList Active="0" SizeToImage="1" ID="GM::ID_ME_CHK_Delay">
							<Image File="Image\GM\Theme1\checkbox_none.png"/>
							<Image File="Image\GM\Theme1\checkbox_checked.png"/>
						</ImageList>
					</VirtualBox>
					<NumberEdit X="417" Y="453" Width="173" Height="27" FontHeight="20" StyleEx="" BGTrans="0" ID="GM::ID_ME_TE_Delay" Text="5" MinValue="1" MaxValue="99999999" PostponeCheckTime="300" Tooltip="integer between 1 and 99,999,999"/>
					<Label X="600" Y="450" Width="50" Text="毫秒" FontHeight="20" ID="GM::ID_ME_Lab_DelayUnit" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>

					<!--插入一個滑鼠事件1 -->
					<Label X="417" Y="240" Width="150" Text="插入一個滑鼠事件" FontHeight="20" BGTrans="0" FGColor="#cdcdcd" ID="GM::ID_ME_LB_InsertMouseEvent" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ImageList X="570" Y="240" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MacroAddMouseEvent">
						<Image File="Image\GM\Theme1\med_button_right_insert_normal.png"/>
						<Image File="Image\GM\Theme1\med_button_right_insert_over.png"/>
						<Image File="Image\GM\Theme1\med_button_right_insert_disable.png"/>
					</ImageList>
					<Label X="417" Y="273" Width="105" Height="29" BGTrans="0" ID="GM::ID_ME_LB_MouseEvent1"/>
					<VirtualBox X="417" Y="273" Width="105" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="105">
							<Label Width="105" Text="左鍵" FontHeight="18" BGTrans="0" ID="GM::ID_ME_LB_MouseEventTxt1"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox Visible="0" X="417" Y="301" Width="105" Height="105" FontHeight="15" ID="GM::ID_ME_MouseEvent1" TrackMouse="1">
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>4Key</Item>
						<Item>5Key</Item>
						<Item>滾輪</Item>
					</ListBox>

					<!--插入一個滑鼠事件2 -->
					<Label X="536" Y="273" Width="105" Height="29" BGTrans="0" ID="GM::ID_ME_LB_MouseEvent2"/>
					<VirtualBox X="536" Y="273" Width="105" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="105">
							<Label Width="105" Text="按下" FontHeight="18" BGTrans="0" ID="GM::ID_ME_LB_MouseEventTxt2"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox Visible="0" X="536" Y="301" Width="105" Height="35" FontHeight="15" ID="GM::ID_ME_MouseEvent2_0" TrackMouse="1">
						<Item>按下</Item>
						<Item>彈起</Item>
					</ListBox>
					<ListBox Visible="0" X="536" Y="301" Width="105" Height="35" FontHeight="15" ID="GM::ID_ME_MouseEvent2_1" TrackMouse="1">
						<Item>上滾</Item>
						<Item>下滾</Item>
					</ListBox>

					<!--macro recod light-->
					<ImageList X="860" Y="157" Active="0" SizeToImage="1" ID="GM::ID_Record_Light">
						<Image File="Image\GM\Theme1\record_disable.png"/>
						<Image File="Image\GM\Theme1\record_enable.png"/>
					</ImageList>

					<!--key down list-->
					<Label X="660" Y="157" Width="200" Text="按鍵序列" FontHeight="20" BGTrans="0" FGColor="#cdcdcd" ID="GM::ID_ME_LB_KeyDown" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ListBox Visible="1" X="660" Y="180" Width="240" Height="300" FontHeight="18" ID="GM::ID_ME_KeyDownList"/>
					<VirtualBox X="660" Y="480" Width="240" Height="34">
						<ColumnLayout MarginL="10" MarginR="10" ColAlignH="equal" ColAlignV="center">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MoveTop" Tooltip="Move Top">
								<Image File="Image\GM\Theme1\med_button_top_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_top_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MoveUp" Tooltip="Move Up">
								<Image File="Image\GM\Theme1\med_button_up_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_up_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MoveDown" Tooltip="Move Down">
								<Image File="Image\GM\Theme1\med_button_down_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_down_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_MoveBottom" Tooltip="Move Bottom">
								<Image File="Image\GM\Theme1\med_button_bottom_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_bottom_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_KeyDel" Tooltip="Delete Selected Item">
								<Image File="Image\GM\Theme1\med_button_delete_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_delete_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_KeyClearAll" Tooltip="Clear All Items">
								<Image File="Image\GM\Theme1\med_button_clearall_normal.png"/>
								<Image File="Image\GM\Theme1\med_button_clearall_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--right corner button-->
					<VirtualBox X="590" Y="550" Width="370" Height="34">
						<ColumnLayout MarginL="10" MarginR="10" ColAlignH="equal" ColAlignV="center">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_Recover">
								<Image File="Image\GM\Theme1\macro_recover.png"/>
								<Image File="Image\GM\Theme1\macro_recover_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_ME_BTN_Apply">
								<Image File="Image\GM\Theme1\macro_apply.png"/>
								<Image File="Image\GM\Theme1\macro_apply_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="590" Y="550" Width="370" Height="34">
						<ColumnLayout MarginL="10" MarginR="10" ColAlignH="equal" ColAlignV="center">
							<Label Width="169" Text="還原" FontHeight="18" BGTrans="0" ID="GM::ID_ME_LB_Recover"/>
							<Label Width="169" Text="采用" FontHeight="18" BGTrans="0" ID="GM::ID_ME_LB_Apply"/>
						</ColumnLayout>
					</VirtualBox>

					<TextEdit Visible="0" ID="GM::ID_ME_NE_HookKeyDownNotify"/>
					<NumberEdit Visible="0" ID="GM::ID_ME_NE_HookKeyCode"/>
					<NumberEdit Visible="0" ID="GM::ID_ME_NE_KeyStrokeState"/>
					<NumberEdit Visible="0" ID="GM::ID_ME_NE_EditDelayTime"/>

					<!--Logo-->
					<ImageBox X="20" Y="20" SizeToImage="1" ID="GM::ID_ME_Logo_TopLeft" File="Image\GM\Theme1\logo_top_left.png"/>
					<ImageBox X="800" Y="615" SizeToImage="1" ID="GM::ID_ME_Logo_BottomRight" File="Image\GM\Theme1\logo_bottom_right.png"/>
				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GM::MacroUI" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::SkinDialog"/>	
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::RenameDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::DelayTimeDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::RenameDialog"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseMacroFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GM::KeyboardHookMapping"/>
			<Collaboration ExtensionPointID="GM::I_PbKeyboardHook" PluginID="GamingMouse"/>
			<ExtraConfig>
				<MacroFile FileFilter="Macro File (*.mac)|*.mac|All Files (*.*)|*.*||" DefFileExt=".mac"/>
				<MouseKeyIndex Macro="5"/>
				<DelayTimeLimit Min="1" Max="99999999"/>
				<MacroStepLimit Max="2000"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GM::MacroUI" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GM::MacroUI"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GM::MacroUI"/>
		</Plugin>
	</ExtensionPoint>
</File>